Frequently Asked Question

PocketWizard Utility for Windows
Last Updated 5 years ago

  1. Download the PocketWizard Utility Setup 1.70 for Windows versions 7 (SP1), 8.1, and 10
    • If you want the older version, you can find it here. Version 1.70 is required for the latest products like the MultiMAX II and the Canon FlexTT6, and has the latest updates
  2. Save the setup program to the directory of your choice (usually the Downloads folder)
  3. Run the setup program and follow the installation instructions. HIGHLY RECOMMENDED - Right click the setup program and "Run as Administrator"
  4. The PocketWizard Utility is now installed in your Start Menu. Find it there and run it! You can delete the setup program. HIGHLY RECOMMENDED - Right click the program and "Run as Administrator"
This website relies on temporary cookies to function, but no personal data is ever stored in the cookies.
OK

Loading ...